ranger-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From v..@apache.org
Subject incubator-ranger git commit: RANGER-442: KMS installation script not copying connector jar properly (Gautam Borad via Velmurugan Periasamy)
Date Thu, 30 Apr 2015 19:31:56 GMT
Repository: incubator-ranger
Updated Branches:
  refs/heads/master 2ba2a2e58 -> 8b092fa29


RANGER-442: KMS installation script not copying connector jar properly (Gautam Borad via Velmurugan
Periasamy)


Project: http://git-wip-us.apache.org/repos/asf/incubator-ranger/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-ranger/commit/8b092fa2
Tree: http://git-wip-us.apache.org/repos/asf/incubator-ranger/tree/8b092fa2
Diff: http://git-wip-us.apache.org/repos/asf/incubator-ranger/diff/8b092fa2

Branch: refs/heads/master
Commit: 8b092fa299e14a58276375ebefc073b3771481fa
Parents: 2ba2a2e
Author: Velmurugan Periasamy <vel@apache.org>
Authored: Thu Apr 30 15:31:29 2015 -0400
Committer: Velmurugan Periasamy <vel@apache.org>
Committed: Thu Apr 30 15:31:29 2015 -0400

----------------------------------------------------------------------
 kms/scripts/setup.sh | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-ranger/blob/8b092fa2/kms/scripts/setup.sh
----------------------------------------------------------------------
diff --git a/kms/scripts/setup.sh b/kms/scripts/setup.sh
index 118498c..29abbab 100755
--- a/kms/scripts/setup.sh
+++ b/kms/scripts/setup.sh
@@ -15,7 +15,7 @@
 # limitations under the License.
 # -------------------------------------------------------------------------------------
 #
-# Ranger Admin Setup Script
+# Ranger KMS Setup Script
 #
 # This script will install policymanager webapplication under tomcat and also, initialize
the database with ranger users/tables.
 
@@ -263,11 +263,17 @@ create_rollback_point() {
 }
 
 
-copy_db_connector(){
-	log "[I] Copying ${DB_FLAVOR} Connector to $app_home/WEB-INF/lib ";
-    cp -f $SQL_CONNECTOR_JAR $app_home/WEB-INF/lib
-	check_ret_status $? "Copying ${DB_FLAVOR} Connector to $app_home/WEB-INF/lib failed"
-	log "[I] Copying ${DB_FLAVOR} Connector to $app_home/WEB-INF/lib DONE";
+copy_db_connector(){	
+        libfolder=$PWD/ews/lib
+	if [ ! -d  ${libfolder} ]
+        then
+                log "Creating ${libfolder}"
+                mkdir -p ${libfolder}
+        fi
+	log "[I] Copying ${DB_FLAVOR} Connector to ${libfolder} ";
+    	cp -f $SQL_CONNECTOR_JAR ${libfolder}
+	check_ret_status $? "Copying ${DB_FLAVOR} Connector to ${libfolder} failed"
+	log "[I] Copying ${DB_FLAVOR} Connector to ${libfolder} DONE";
 }
 
 setup_kms(){
@@ -531,7 +537,7 @@ setup_install_files(){
 	    fi
 	fi
 
-	# Copy ranger-admin-services to /usr/bin
+	# Copy ranger-kms-services to /usr/bin
 	if [ ! \( -e /usr/bin/ranger-kms \) ]
 	then
 	  ln -sf ${INSTALL_DIR}/ranger-kms /usr/bin/ranger-kms


Mime
View raw message